Subject: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode

From: Paul Nelson <[email-masked]>
Date: Wed, 3 Jul 2024 16:41:28 +0200

> Yes, that sounds reasonable, but OTOH, we had also a lot of complaints
> that AUCTeX took over latex-mode.  So for me, introducing new names was
> also a chance to cut off with that old habit.  But as I said in my other
> message, I don't want to block a feature I don't use.  If you and Keita
> think we should do this, let's do it.
>

I could just as well be persuaded that AUCTeX should never take over
by default.  Then, anyone updating AUCTeX to add something to their
config (a couple lines saying where LaTeX-mode should activate).  I
guess that'd cause a lot of headache -- I know that I didn't read NEWS
when updating for many years, and imagine the same is true for many
users.  My main suggestion is that the default behavior should be
consistent between tex files and source blocks, so as not to cause
surprises like in the original message in this thread.